[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# ByteToCharLen

Convert a length in bytes to a length in characters.

## Declaration

Source position: sysstrh.inc line 231

`function ByteToCharLen(`
`const S: String;`
`MaxLen: Integer`
`):Integer;`

## Description

ByteToCharLen returns the number of bytes in S, but limits the result to MaxLen

## Errors

This function does not take into account MBCS yet.

## See also

CharToByteLen |  | Convert a length in characters to a length in bytes.
ByteToCharIndex |  | Convert a character index in Bytes to an Index in characters

The latest version of this document can be found at lazarus-ccr.sourceforge.net.